%define		_class		I18Nv2
%define		_status		beta
%define		_pearname	I18Nv2
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - internationalization
Summary(pl.UTF-8):	%{_pearname} - umiędzynarodowienie
Name:		php-pear-%{_pearname}
Version:	0.11.4
Release:	7
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	d8679404737a85e7a36b5018b1abf156
URL:		http://pear.php.net/package/I18Nv2/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.0.6
Requires:	php(iconv)
Requires:	php(pcre)
Requires:	php-pear
Requires:	php-pear-PEAR-core
Obsoletes:	php-pear-I18Nv2-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This package provides basic support to localize your application, like
locale based formatting of dates, numbers and currency.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Ta klasa dostarcza podstawowego wsparcia do lokalizacji aplikacji,
takich jak formatowanie dat, liczb czy walut na podstawie locale.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/I18Nv2.php
%{php_pear_dir}/I18Nv2
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> ae22d77
- use php(core) for php engine version deps
- release 6 (by relup.sh)

* Tue Aug 07 2012 Elan Ruusamäe <glen@delfi.ee> 51b9b1d
- use virtual php extension deps (to be independant of php version)
- release 6 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> f20a964
- release 5

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> 27337d8
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> f265fc6
- updated deps with pearize.sh
- release 4

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> bdb8ae9
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> c8cd552
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> d9d1055
- converted to UTF-8

* Tue Nov 21 2006 Elan Ruusamäe <glen@pld-linux.org> d59ff35
- rel 2: use php(extension) virtuals

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> af5b46d
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 4e8620e
- AutoProv: no for -tests

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> 06a282a
- 0.11.4

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> 2d1726e
- rel 4 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 0c5a58e
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 2e218cb
- group Development/Languages/PHP for -tests

* Thu Feb 16 2006 Elan Ruusamäe <glen@pld-linux.org> 08df675
- require php-pear-PEAR-core, not the full PEAR package with deps

* Sun Jan 08 2006 Elan Ruusamäe <glen@pld-linux.org> 6f95358
- AutoReq: no for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 7e50e4e
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> c10d0c0
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 7fa564e
- semi automatically added deps from pear

